/* TableStyleMedium11.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn11
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium11 extends TableStyleImpl {
	private TableStyleMedium11() {
		super(
				"TableStyleMedium11",//name,
				M11_Whole_Table, 	//wholeTable,
				M11_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M11_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M11_Last_Col, 	//lastCol,
				M11_First_Col,	//firstCol,
				M11_Header_Row,	//headerRow,
				M11_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M11_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "D7E4BC", "D7E4BC"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M11_Row_Stripe1 =
			M11_Col_Stripe1;
	private static final STableStyleElem M11_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				new ExtraFillImpl(FillPattern.SOLID, "9BBB59", "9BBB59"),	//fill //ZSS-1162
				null //border
			);
	private static final STableStyleElem M11_First_Col =
			M11_Last_Col;
	private static final BorderLineImpl M11_Outline_Border =
			new BorderLineImpl(BorderType.THICK, "FFFFFF");
	private static final BorderLineImpl M11_Inside_Border =
			new BorderLineImpl(BorderType.THIN, "FFFFFF");
	private static final STableStyleElem M11_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "9BBB59", "9BBB59"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							M11_Outline_Border, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M11_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "9BBB59", "9BBB59"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							M11_Outline_Border, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M11_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "EAF1DD", "EAF1DD"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							null, //bottom
							null, //diagonal
							M11_Inside_Border,	//vertical
							M11_Inside_Border 	//horizontal
					)
			);

	public static final TableStyleMedium11 instance = new TableStyleMedium11();
}
